Bug 506860 - Mounts occurring even though lshal shows volume.ignore=true
Mounts occurring even though lshal shows volume.ignore=true
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 19:25 EDT by Bill Gradwohl
Modified: 2010-06-28 09:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:09:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Gradwohl 2009-06-18 19:25:42 EDT
Description of Problem:
Trying to NOT automount a volume by using hal instructions.
Mount occurs even though lshal clearly shows volume.ignore=true

Version-Release number of selected component (if applicable):
hal-0.5.12-26.20090226git.fc11.x86_64

How reproducible:
Changed /usr/share/hal/fdi/policy/10osvendor/20-storage-methods.fdi from:
      <!-- EFI firmware partitions -->
      <match key="volume.fstype" string="vfat">
             <match key="volume.label" string="EFI">
               <merge key="volume.ignore" type="bool">true</merge>
             </match>
      </match>

to:
      <!-- EFI firmware partitions -->
      <match key="volume.fstype" string="vfat">
             <match key="volume.label" string="EFI">
               <merge key="volume.ignore" type="bool">true</merge>
             </match>
      </match>
      <!-- Copied from above and made minor mods -->
      <!-- GBC Gadget -->
      <match key="volume.fstype" string="vfat">
             <match key="volume.label" string="Modem">
               <merge key="volume.ignore" type="bool">true</merge>
               <merge key="volume.gradwohl" type="string">Bill</merge>
             </match>
      </match>


Steps to Reproduce:
1. Please note my new key and value above. I did that to prove my code was executed. The error occurs even without that minor embellishment.
2.
3.
  
Actual results:
Volume gets mounted. 

Expected results:
Note my special key/value pair below, volume.gradwohl=Bill to prove my fdi script code executed.

Additional info:
Here is the lshal relevant section: 
 udi = '/org/freedesktop/Hal/devices/volume_uuid_F688_8F34'
  block.device = '/dev/sdc'  (string)
  block.is_volume = true  (bool)
  block.major = 8  (0x8)  (int)
  block.minor = 32  (0x20)  (int)
  block.storage_device = '/org/freedesktop/Hal/devices/storage_serial_USBModem_Disk_000000000002_0_0'  (string)
  info.capabilities = {'volume', 'block'} (string list)
  info.category = 'volume'  (string)
  info.interfaces = {'org.freedesktop.Hal.Device.Volume'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/storage_serial_USBModem_Disk_000000000002_0_0'  (string)
  info.product = 'Modem'  (string)
  info.udi = '/org/freedesktop/Hal/devices/volume_uuid_F688_8F34'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:13.2/usb4/4-2/4-2:1.0/host7/target7:0:0/7:0:0:0/block/sdc/fakevolume'  (string)
  org.freedesktop.Hal.Device.Volume.method_argnames = {'mount_point fstype extra_options', 'extra_options', 'extra_options'} (string list)
  org.freedesktop.Hal.Device.Volume.method_execpaths = {'hal-storage-mount', 'hal-storage-unmount', 'hal-storage-eject'} (string list)
  org.freedesktop.Hal.Device.Volume.method_names = {'Mount', 'Unmount', 'Eject'} (string list)
  org.freedesktop.Hal.Device.Volume.method_signatures = {'ssas', 'as', 'as'} (string list)
  volume.block_size = 512  (0x200)  (int)
  volume.fstype = 'vfat'  (string)
  volume.fsusage = 'filesystem'  (string)
  volume.fsversion = 'FAT16'  (string)
  volume.gradwohl = 'Bill'  (string)            <!-- My marker -->
  volume.ignore = true  (bool)                  <!-- This does no good. -->
  volume.is_disc = false  (bool)
  volume.is_mounted = true  (bool)
  volume.is_mounted_read_only = true  (bool)
  volume.is_partition = false  (bool)
  volume.label = 'Modem'  (string)
  volume.linux.is_device_mapper = false  (bool)
  volume.mount.valid_options = {'ro', 'sync', 'dirsync', 'noatime', 'nodiratime', 'noexec', 'quiet', 'remount', 'exec', 'utf8', 'shortname=', 'codepage=', 'iocharset=', 'umask=', 'dmask=', 'fmask=', 'uid=', 'flush'} (string list)
  volume.mount_point = '/media/Modem'  (string)
  volume.num_blocks = 65536  (0x10000)  (uint64)
  volume.size = 33554432  (0x2000000)  (uint64)
  volume.unmount.valid_options = {'lazy'} (string list)
  volume.uuid = 'F688-8F34'  (string)

Here's lshal -t:
  pci_1002_4389
    usb_device_1d6b_1_0000_00_13_2
      usb_device_1c9e_1001_000000000002
        usb_device_1c9e_1001_000000000002_if0
          usb_device_1c9e_1001_000000000002_if0_scsi_host_0
            usb_device_1c9e_1001_000000000002_if0_scsi_host_0_scsi_device_lun0
              storage_serial_USBModem_Disk_000000000002_0_0
                volume_uuid_F688_8F34
              usb_device_1c9e_1001_000000000002_if0_scsi_host_0_scsi_device_lun0_scsi_generic
          usb_device_1c9e_1001_000000000002_if0_scsi_host
      usb_device_1d6b_1_0000_00_13_2_if0




As an aside, I also noticed that if I write script code as follows for  /usr/share/hal/fdi/information/20thirdparty/05-GBC-info-ignore.fdi :
<?xml version="1.0" encoding="UTF-8"?>

<deviceinfo version="0.2">
  <device>
    <match key="info.udi" string="/org/freedesktop/Hal/devices/usb_device_1c9e_1001_000000000002">
      <merge key="info.ignore" type="bool">true</merge>
      <merge key="info.gradwohl" type="string">Bill</merge>
    </match>
  </device>
</deviceinfo>

only one item ends up in the output of lshal, but the device gets mounted all the same. I thought if I stopped hal processing via info.ignore=true, then the rest of the steps leading up to a mount would not be executed, but they apparently are as I still get the device mounted. Whatever those steps are, they don't show up in a lshal output.

I'd be happy to run any tests needed on my end.

Than You
Comment 1 bcling 2009-08-24 10:09:02 EDT
I'm running in to this problem as well. Tested on an updated system, with various FireWire and USB media.

I'm happy to assist in any testing as well.
Comment 2 bcling 2009-11-04 23:57:01 EST
This is resolved with DeviceKit (as tested on Fedora 12 Beta, LiveCD).
Comment 3 Bug Zapper 2010-04-27 11:05:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 09:09:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.